WafAtpConfig
Describes the configuration of the account takeover prevention Web Application Firewall (WAF) rule group. The rule group inspects login requests to the login path of your application.
Contents
- loginPath
-
The path of the login endpoint of your application (for example,
/login). Login paths that start with the path that you specify are a match.Constraints:
-
Must start with a forward slash (
/). -
Must contain from 1 to 256 characters.
Type: String
Required: No
-
- passwordField
-
The name of the field in the request body that contains the password (for example,
/passwordforJSONorpasswordforFORM_ENCODED).Constraints:
-
For a
JSONpayload, must be a JSON pointer that starts with a forward slash (/). -
Must contain from 1 to 512 characters.
Type: String
Required: No
-
- payloadType
-
The content type of the request body of login requests.
The following content types are possible:
-
JSON– The request body is in JSON format. -
FORM_ENCODED– The request body is form encoded.
Type: String
Valid Values:
JSON | FORM_ENCODEDRequired: No
-
- responseInspection
-
An object that describes the HTTP status codes that your application returns for successful and failed login attempts.
Type: WafResponseInspection object
Required: No
- usernameField
-
The name of the field in the request body that contains the username (for example,
/usernameforJSONorusernameforFORM_ENCODED).Constraints:
-
For a
JSONpayload, must be a JSON pointer that starts with a forward slash (/). -
Must contain from 1 to 512 characters.
Type: String
Required: No
-
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: